Subject: Re: shell loses "stty echo" state
From: Ashok Vadekar <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Dec 2000 15:41:20 -0500

Here is an example of the state change:
<Open a new shell>
	stty -a > good
	less good
	stty -a > bad

<Good contains:>
	speed 38400 baud; rows 25; columns 80; line = 0;
	intr = ^C; quit = ^\; erase = ^H; kill = ^U; eof = ^D; eol = <undef>;
	eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
	lnext = ^V; flush = ^O; min = 1; time = 0;
	-parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
	-ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon -ixoff
	-iuclc -ixany -imaxbel
	opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
	isig icanon iexten echo -echoe -echok -echonl -noflsh -tostop -echoctl -echoke

<Bad contains:>
	speed 38400 baud; rows 25; columns 80; line = 0;
	intr = ^C; quit = ^\; erase = ^H; kill = ^U; eof = ^D; eol = <undef>;
	eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
	lnext = ^V; flush = ^O; min = 1; time = 0;
	-parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
	-ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon
	-ixoff -iuclc -ixany -imaxbel
	opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
	isig -icanon -iexten -echo -echoe -echok -echonl -noflsh -tostop -echoctl
	-echoke

Diffing them shows the changes
brkint icrnl ixon icanon iexten echo -> -brkint -icrnl -ixon -icanon -iexten -echo

I looked at $TERM, it was set to cygwin.  Changing it to other terminal types
(linux, ansi, vt100, and even dumb) caused some changes, like switching to
mono (at least in vi), but did not change the loss of echo.

Any suggestions?

On Fri, Dec 29, 2000 at 03:04:44PM -0500, Charles Wilson wrote:
> Ashok Vadekar wrote:
> > 
> > I installed 1.1.7 on a Win2000 (Professional) machine and have noticed the
> > following problem.  After running vi (vim) or less, the console is returned
> > in a state where shell input is not echoed back to the display.  If I reenter
> > vi, keyboard input is show (ie. typing ":q" shows ":q" on the bottom line).
> > 
> > Running stty before and after the problem occurs show that -echo has been
> > set.  However, stty fails when I try "stty echo" to undo the change.  Actually
> > it seems to fail for any input I try.
> > 
> > I would guess that the problem is in closing a curses session with the console,
> > since commands that only perform simple console IO do not cause the problem.
> 
> Nope.  The vim distributed with cygwin does NOT use the curses library. 
> It uses termcap only.  So don't blame ncurses.
> 
> BTW, I don't see this problem and I'm on Win2K (but haven't upgraded to
> 1.1.7; I'm still using 1.1.6)
> 
> --Chuck
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple